## view
Class Redirection

    java.lang.Object
      view.GoResponse
          view.Redirection

    public class Redirection

extends GoResponse

Field Summary
`private java.lang.String` `url`

Constructor Summary
`Redirection(GoURL go_url)` Constructs the element.
`Redirection(java.lang.String redirect_url)` As above, but accepts a String.

Method Summary
`java.lang.String` `getUrl()` Returns the URL of the redirection.

Methods inherited from class view.GoResponse
`addCookie, getCookies`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    private final transient java.lang.String url

Constructor Detail

### Redirection

    public Redirection(GoURL go_url)

  Constructs the element.

  Parameters:
    `go_url` - a Go URL to redirect to.

### Redirection

    public Redirection(java.lang.String redirect_url)

  As above, but accepts a String.

Method Detail

### getUrl

    public java.lang.String getUrl()

  Returns the URL of the redirection.